/**
   This program tests the Parse parser.






*/

public class TestInfix1
{
   public static void main(String[] args)
   {
      String infix[] =
            // parenthesized infix notation
          { "2 + 3 * 4",
            "(2 + 3) * 4",
            "2 - 3 + 4",
            "2 - (3 + 4)",
            "-2^3",
            "(-2)^3",

            "5 neg 5 2 ^ 4 11 * 12 * - sqrt + 2 11 * /",

            "3 ^ 4  7 * 8",           // syntax error
            "3 ^ 4 * 7 + ",           // syntax error (at +)
            "3 ^ 4 + ( 7 @ 8 )",      // syntax error (at @)
            "3 ^ 4 + 7 * x"           // syntax error (at x)
          };


      for (int i = 0; i < infix.length; i++)
      {
         System.out.println( infix[i] );
         try
         {
            Parse.parse( infix[i] );
            System.out.println("Parsed OK.\n");
         }
         catch (Exception e)
         {
            System.out.println(e + "\n");
          //e.printStackTrace();
         }
      }
   }//main()

}//TestInfix1
